List AI agent documents
List every knowledge document in the organization.
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | No |
Responses
200 — Success
{
"results": [
{
"name": "string",
"updatedAt": "2024-01-01T00:00:00.000Z",
"uuid": "string",
"organizationUuid": "string",
"projectUuid": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"originalFilename": "string",
"mimeType": "string",
"contentSizeBytes": 0,
"alwaysIncludeInContext": true,
"summary": {
"warning": "string",
"relevance": "high",
"useWhen": "string",
"relatedExploreNames": [
"string"
],
"definedTerms": [
"string"
],
"description": "string"
},
"agentAccess": [
"string"
],
"createdByUserUuid": "string",
"updatedByUserUuid": "string"
}
],
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}